aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/linux-home
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2023-05-21 20:23:16 +0200
committerEgor Tensin <Egor.Tensin@gmail.com>2023-05-21 20:23:16 +0200
commita87914970bb985176ad09c422f0942908492de0f (patch)
tree5d0750cba12a80970a76e782667f57bf541d8398 /test/linux-home
parentt/d: move docker-compose.yml to docker/ (diff)
downloadconfig-links-a87914970bb985176ad09c422f0942908492de0f.tar.gz
config-links-a87914970bb985176ad09c422f0942908492de0f.zip
t/l: fail unless $CI is set
Diffstat (limited to 'test/linux-home')
-rwxr-xr-xtest/linux-home/test.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/test/linux-home/test.sh b/test/linux-home/test.sh
index f4b1028..edb2d5b 100755
--- a/test/linux-home/test.sh
+++ b/test/linux-home/test.sh
@@ -83,8 +83,12 @@ show_env() {
}
main() {
- show_env
+ if [ -z "${CI:+x}" ]; then
+ echo "$script_name: please don't run it outside of CI runs" >&2
+ exit 1
+ fi
+ show_env
test_my_dotfiles_work
}